/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {AlertPrincipalResponse} from "./alertPrincipalResponse";
import {FloorFlyWeightResponse} from "./floorFlyWeightResponse";
import {FloorPlanFlyWeightResponse} from "./floorPlanFlyWeightResponse";
import {WorkerLightResponse} from "./workerLightResponse";
import {ZoneResponse} from "./zoneResponse";

export class ZoneAlertResponse {
    public alert: AlertPrincipalResponse;

    public floor: FloorFlyWeightResponse;

    public floorPlan: FloorPlanFlyWeightResponse;

    public workers: WorkerLightResponse[];

    public zone: ZoneResponse;

    /**
     * Creates a ZoneAlertResponse.
     *
     * @param {AlertPrincipalResponse} alert
     * @param {FloorFlyWeightResponse} floor
     * @param {FloorPlanFlyWeightResponse} floorPlan
     * @param {WorkerLightResponse} workers
     * @param {ZoneResponse} zone
     */
    constructor(alert: AlertPrincipalResponse, floor: FloorFlyWeightResponse, floorPlan: FloorPlanFlyWeightResponse, workers: WorkerLightResponse[], zone: ZoneResponse) {
        this.alert = alert;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.workers = workers;
        this.zone = zone;
    }
}